Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Beta Admin Vibe Work Analytics Endpoints

Admin usage analytics for Vibe Work.

Usage by user

GET /v1/admin/analytics/vibe/work/usage/by_user_stats#

Get Vibe Work usage by user for a time range.

200

Successful Response

end_time#
*integer

End of the queried window, as a Unix timestamp in seconds.

start_time#
*integer

Start of the queried window, as a Unix timestamp in seconds.

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/admin/analytics/vibe/work/usage/by_user_stats \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "data": [
    {
      "files_count": "87",
      "images_count": "42",
      "last_message_at": "2025-12-17T10:25:07Z",
      "messages_count": "1543",
      "messages_to_agents_count": "214",
      "spreadsheets_count": "15",
      "unique_agents_count": "8",
      "unique_conversations_count": "312",
      "user_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce"
    }
  ],
  "end_time": "1767225600",
  "start_time": "1764547200"
}

Usage by agent

GET /v1/admin/analytics/vibe/work/usage/by_agent_stats#

Get Vibe Work usage by agent for a time range.

200

Successful Response

end_time#
*integer

End of the queried window, as a Unix timestamp in seconds.

start_time#
*integer

Start of the queried window, as a Unix timestamp in seconds.

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/admin/analytics/vibe/work/usage/by_agent_stats \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "data": [
    {
      "agent_id": "5d1f2a3b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
      "files_count": "87",
      "images_count": "42",
      "last_message_at": "2025-12-17T10:25:07Z",
      "messages_count": "1543",
      "spreadsheets_count": "15",
      "unique_conversations_count": "312",
      "unique_users_count": "64"
    }
  ],
  "end_time": "1767225600",
  "start_time": "1764547200"
}

Usage over time

GET /v1/admin/analytics/vibe/work/usage/by_time_stats#

Get Vibe Work usage over time.

200

Successful Response

end_time#
*integer

End of the queried window, as a Unix timestamp in seconds.

start_time#
*integer

Start of the queried window, as a Unix timestamp in seconds.

Playground

Test the endpoints live

curl https://api.mistral.ai/v1/admin/analytics/vibe/work/usage/by_time_stats \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "data": [
    {
      "files_count": "87",
      "images_count": "42",
      "messages_count": "1543",
      "messages_to_agents_count": "640",
      "spreadsheets_count": "15",
      "time_bucket": null,
      "unique_agents_count": "12",
      "unique_conversations_count": "312",
      "unique_users_count": "128"
    }
  ],
  "end_time": "1767225600",
  "start_time": "1764547200"
}